<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>mtx::gui::ChapterEditor::MassModificationDialog</class>
 <widget class="QDialog" name="mtx::gui::ChapterEditor::MassModificationDialog">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>833</width>
    <height>386</height>
   </rect>
  </property>
  <property name="sizePolicy">
   <sizepolicy hsizetype="Minimum" vsizetype="Minimum">
    <horstretch>0</horstretch>
    <verstretch>0</verstretch>
   </sizepolicy>
  </property>
  <property name="windowTitle">
   <string>Chapter mass modification</string>
  </property>
  <layout class="QVBoxLayout" name="verticalLayout_2">
   <item>
    <widget class="QLabel" name="lTitle">
     <property name="text">
      <string notr="true">Text</string>
     </property>
     <property name="wordWrap">
      <bool>true</bool>
     </property>
    </widget>
   </item>
   <item>
    <widget class="Line" name="line">
     <property name="orientation">
      <enum>Qt::Horizontal</enum>
     </property>
    </widget>
   </item>
   <item>
    <layout class="QGridLayout" name="gridLayout">
     <item row="3" column="0">
      <widget class="QCheckBox" name="cbSetCountry">
       <property name="text">
        <string>Set the chapter names' co&amp;untries:</string>
       </property>
      </widget>
     </item>
     <item row="0" column="0">
      <widget class="QCheckBox" name="cbShift">
       <property name="text">
        <string>S&amp;hift start and end timestamps by the following amount:</string>
       </property>
      </widget>
     </item>
     <item row="3" column="1">
      <widget class="mtx::gui::Util::CountryComboBox" name="cbCountry"/>
     </item>
     <item row="2" column="0">
      <widget class="QCheckBox" name="cbSetLanguage">
       <property name="text">
        <string>Set the chapter names' &amp;languages:</string>
       </property>
      </widget>
     </item>
     <item row="0" column="1">
      <widget class="QLineEdit" name="leShiftBy">
       <property name="text">
        <string notr="true">00:00:00.000</string>
       </property>
      </widget>
     </item>
     <item row="2" column="1">
      <widget class="mtx::gui::Util::LanguageComboBox" name="cbLanguage"/>
     </item>
     <item row="1" column="0">
      <widget class="QCheckBox" name="cbMultiply">
       <property name="text">
        <string>&amp;Multiply start and end timestamps by the following factor:</string>
       </property>
      </widget>
     </item>
     <item row="1" column="1">
      <widget class="QDoubleSpinBox" name="dsbMultiplyBy">
       <property name="decimals">
        <number>9</number>
       </property>
       <property name="maximum">
        <double>9999.999998999999661</double>
       </property>
       <property name="singleStep">
        <double>0.100000000000000</double>
       </property>
       <property name="value">
        <double>1.000000000000000</double>
       </property>
      </widget>
     </item>
    </layout>
   </item>
   <item>
    <widget class="QCheckBox" name="cbSort">
     <property name="text">
      <string>&amp;Sort chapters by their start and end timestamps</string>
     </property>
    </widget>
   </item>
   <item>
    <widget class="QCheckBox" name="cbConstrictExpand">
     <property name="text">
      <string>C&amp;onstrict or expand timestamps</string>
     </property>
    </widget>
   </item>
   <item>
    <layout class="QHBoxLayout" name="horizontalLayout_2">
     <item>
      <spacer name="horizontalSpacer">
       <property name="orientation">
        <enum>Qt::Horizontal</enum>
       </property>
       <property name="sizeType">
        <enum>QSizePolicy::Fixed</enum>
       </property>
       <property name="sizeHint" stdset="0">
        <size>
         <width>24</width>
         <height>20</height>
        </size>
       </property>
      </spacer>
     </item>
     <item>
      <layout class="QVBoxLayout" name="verticalLayout">
       <item>
        <widget class="QRadioButton" name="rbConstrict">
         <property name="text">
          <string>&amp;Constrict start and end timestamps of sub-chapters to their parent's start and end timestamps</string>
         </property>
        </widget>
       </item>
       <item>
        <widget class="QRadioButton" name="rbExpand">
         <property name="text">
          <string>E&amp;xpand chapter's start and end timestamps to include the minimum/maximum timestamps of all their sub-chapters</string>
         </property>
        </widget>
       </item>
      </layout>
     </item>
    </layout>
   </item>
   <item>
    <widget class="QCheckBox" name="cbSetEndTimestamps">
     <property name="text">
      <string>Derive &amp;end timestamps from start timestamps</string>
     </property>
    </widget>
   </item>
   <item>
    <widget class="QCheckBox" name="cbRemoveEndTimestamps">
     <property name="text">
      <string>&amp;Remove end timestamps</string>
     </property>
    </widget>
   </item>
   <item>
    <spacer name="verticalSpacer">
     <property name="orientation">
      <enum>Qt::Vertical</enum>
     </property>
     <property name="sizeHint" stdset="0">
      <size>
       <width>20</width>
       <height>0</height>
      </size>
     </property>
    </spacer>
   </item>
   <item>
    <widget class="QDialogButtonBox" name="buttonBox">
     <property name="orientation">
      <enum>Qt::Horizontal</enum>
     </property>
     <property name="standardButtons">
      <set>QDialogButtonBox::Cancel|QDialogButtonBox::Ok</set>
     </property>
    </widget>
   </item>
  </layout>
 </widget>
 <customwidgets>
  <customwidget>
   <class>mtx::gui::Util::LanguageComboBox</class>
   <extends>QComboBox</extends>
   <header>mkvtoolnix-gui/util/language_combo_box.h</header>
  </customwidget>
  <customwidget>
   <class>mtx::gui::Util::CountryComboBox</class>
   <extends>QComboBox</extends>
   <header>mkvtoolnix-gui/util/country_combo_box.h</header>
  </customwidget>
 </customwidgets>
 <tabstops>
  <tabstop>cbShift</tabstop>
  <tabstop>leShiftBy</tabstop>
  <tabstop>cbMultiply</tabstop>
  <tabstop>dsbMultiplyBy</tabstop>
  <tabstop>cbSetLanguage</tabstop>
  <tabstop>cbLanguage</tabstop>
  <tabstop>cbSetCountry</tabstop>
  <tabstop>cbCountry</tabstop>
  <tabstop>cbSort</tabstop>
  <tabstop>cbConstrictExpand</tabstop>
  <tabstop>rbConstrict</tabstop>
  <tabstop>rbExpand</tabstop>
 </tabstops>
 <resources/>
 <connections/>
 <slots>
  <slot>selectionOrShiftByChanged()</slot>
 </slots>
</ui>
